#ifndef __BOARD_H__
#define __BOARD_H__
#ifdef __cplusplus
extern "C" {
#endif


#include "libgba/gba.h"

//---------------------------------------------------------------------------


//---------------------------------------------------------------------------

typedef struct {
	u32  cnt;				// Gbfso^
	u32  num;				// ݓǂݍłԍ
	bool isSel;				// ԍZNgꂽ̗L

} ST_BOARD;


//---------------------------------------------------------------------------
EWRAM_CODE void BoardInit();
EWRAM_CODE void BoardDraw();
EWRAM_CODE void BoardDrawInit();
EWRAM_CODE void BoardDrawSel();
EWRAM_CODE void BoardDrawOctave();


EWRAM_CODE void BoardExec();
EWRAM_CODE void BoardExecPlay();

EWRAM_CODE bool BoardIsSel();


//---------------------------------------------------------------------------

#ifdef __cplusplus
}
#endif
#endif
