#ifndef __GBA_DUMMY_H__
#define __GBA_DUMMY_H__

// _~[t@C


#include <stdio.h>
#include <stdlib.h>
#include <assert.h>


//---------------------------------------------------------------------------
typedef	unsigned char			u8;		/**< Unsigned 8 bit value	*/
typedef	unsigned short int		u16;	/**< Unsigned 16 bit value	*/
typedef	unsigned int			u32;	/**< Unsigned 32 bit value	*/
typedef	signed char				s8;		/**< Signed 8 bit value	*/
typedef	signed short int		s16;	/**< Signed 16 bit value	*/
typedef	signed int				s32;	/**< Signed 32 bit value	*/
typedef	volatile u8				vu8;	/**< volatile Unsigned 8 bit value	*/
typedef	volatile u16			vu16;	/**< volatile Unigned 16 bit value	*/
typedef	volatile u32			vu32;	/**< volatile Unsigned 32 bit value	*/
typedef	volatile s8				vs8;	/**< volatile Signed 8 bit value	*/
typedef	volatile s16			vs16;	/**< volatile Signed 8 bit value	*/
typedef	volatile s32			vs32;	/**< volatile Signed 8 bit value	*/

typedef enum { FALSE, TRUE } bool;


#define TRACEOUT				if(1) printf
#define _ASSERT					assert

#define __PACKED				__attribute__ ((__packed__))
#define ARRAY_SIZE(a)			(sizeof(a) / sizeof(a[0]))

#define _IsDigit(c)				((c >= '0') && (c <= '9') ? TRUE : FALSE)


//---------------------------------------------------------------------------


#endif
