/* -----------------------------------------------------
   u}cVvȃf[^
   -----------------------------------------------------
   C  CS  D  DS  E  F  FS  G  GS  A  AS  B  R
   |  |   |  |   |  |  |   |  |   |  |   |  |
   h h#  # ~ t t# \ \#  # V x
   -----------------------------------------------------
   O(0-2-5)  LP    ED   XX(0-3,4)  ZZ
   |         |     |    |          |
   Octave    Loop  End  Channel    AllScoreEnd
   -----------------------------------------------------
   SW(ch1)  EV(ch1,2)  PL(All)         VL(ch3)
   |        |          |               |
   Sweep    Envelope   Pattern/Length  Volume
   -----------------------------------------------------
   SW
   [ch1 only]
     bit6-4  XC[v
             000: SWEEP OFF  001: 7.8ms
             010: 15.6ms     011: 23.4ms
             100: 31.3ms     101: 39.1ms
             110: 46.9ms     111: 54.7ms
     bit3    XEB[vω [0]/[1]
     bit2-0  XEB[vω
   -----------------------------------------------------
   EV
   [ch1,2,4]
     bit7-4  {[(0͖)
     bit3    ω UP[1]/DOWN[0]
     bit2-0  ω( 0̎ɂ͕ωȂ)
             1Xebv̒=ω/64b̒
   -----------------------------------------------------
   VL
   [ch3 only]
     bit6-5  00:MUTE
             01:100% (1/1)
             10: 50% (1/2)
             11: 25% (1/4)
   -----------------------------------------------------
   PL
   [ch1,2]
     bit7-6  g`p^[ (can be Read)
             00: 12.5% [ _--------_--------_-------- ]
             01: 25%   [ __-------__-------__------- ]
     l> 10: 50%   [ ____-----____-----____----- ]
             11: 75%   [ ______---______---______--- ]
     bit5-0      (64 - data) * (1 / 256)b
   [ch3,4]
     bit7-0   = (256 - data) * (1 / 2)b
   -----------------------------------------------------
   L͑Sđ啶ł
   ߂͕KuCvƂ`(2bytes)ł
   Ȃ̍ŌɂR,0,ED,0R,0,LP,0KĂ
   Sȃf[^̍Ōɂ́uZZ,0vKĂ
   őȐƍőʉ15(16-1)Ȃł
   ----------------------------------------------------- */


#define C	0x00U		/* h@ */
#define CS	0x01U		/* h */
#define DF	0x01U		/*  */
#define D	0x02U		/* @ */
#define DS	0x03U		/*  */
#define EF	0x03U		/* ~ */
#define E	0x04U		/* ~@ */
#define F	0x05U		/* t@ */
#define FS	0x06U		/* t */
#define GF	0x06U		/* \ */
#define G	0x07U		/* \@ */
#define GS	0x08U		/* \ */
#define AF	0x08U		/*  */
#define A	0x09U		/* @ */
#define AS	0x0AU		/*  */
#define BF	0x0AU		/* V */
#define B	0x0BU		/* V@ */
#define P0	0x00U		/* p[JbV #0 */
#define P1	0x01U		/* p[JbV #1 */
#define P2	0x02U		/* p[JbV #2 */
#define P3	0x03U		/* p[JbV #3 */
#define P4	0x04U		/* p[JbV #4 */
#define P5	0x05U		/* p[JbV #5 */
#define P6	0x06U		/* p[JbV #6 */
#define P7	0x07U		/* p[JbV #7 */
#define R	0x10U		/* x */
#define O	0x11U		/*  */
#define LP	0x12U		/* ɖ߂ */
#define ED	0x13U		/* Ȃ̏I */
#define SW	0x20U		/* XB[v(ch1 only) */
#define PL	0x21U		/* p^[EOX(all channel) */
#define EV	0x22U		/* Gx[v(ch1,ch2 only) */
#define VL	0x23U		/* {[(ch3 only) */
#define SP  0xE0U
#define XX	0xFEU		/* `l */
#define ZZ	0xFFU		/* Sf[^Gh */



//---------------------------------------------------------------------------
const u8 song0[] = {
	/* music #1-1ch (Galaga GameStart) */
	XX,0,
	SP,1,
	R,16,	/* wait */
	EV,0x87U,
	O,3,
	G,18,C,6,D,18,F,6,
	E,18,C,6,D,18,A,6,
	G,18,C,6,D,18,F,6,
	E,18,C,6,G,18,B,6,
	O,4,C,18,O,3,AS,6,GS,18,G,6,
	F,18,DS,6,D,18,O,2,AS,6,
	O,3,AS,18,O,4,C,6,O,3,AS,18,G,6,
	A,8,F,8,D,8,G,8,E,8,D,8,
	R,96,
	R,0,LP,0,
	/* music #1-2ch */
	XX,1,
	SP,1,
	R,16,	/* wait */
	EV,0x87U,
	O,3,
	E,18,O,2,G,6,O,3,D,18,O,2,A,6,
	O,3,C,18,O,2,G,6,A,18,B,6,
	O,3,E,18,O,2,G,6,O,3,D,18,O,2,A,6,
	O,3,C,18,O,2,G,6,O,3,D,18,G,6,
	GS,18,G,6,F,18,DS,6,
	D,18,C,6,O,2,AS,18,O,3,D,6,
	DS,18,F,6,DS,18,C,6,
	F,8,D,8,O,2,A,8,O,3,D,8,O,2,B,8,A,8,
	R,96,
	R,0,LP,0,
	/* music #1-3ch */
	XX,2,
	SP,1,
	VL,0x40U,
	R,16,	/* wait */
	O,3,G,24,A,18,O,3,C,6,O,2,B,24,G,24,
	O,3,C,24,D,18,F,6,E,24,D,24,
	DS,24,D,18,C,6,O,2,AS,24,O,3,DS,24,
	AS,24,G,18,DS,6,D,24,G,18,R,6,
	R,96,
	R,0,LP,0,
	/* music #1-noise */


	ZZ,0,
};
//---------------------------------------------------------------------------
const u8 song1[] = {
	/* music #2-1ch (ToHeart:Feeling Heart) */
	XX,0,
	SP,1,
	R,16,	/* wait */
	SW,0x00U,
	EV,0xA7U,
	O,3,
	E,16,DS,16,E,16,FS,8,E,72,
	B,32,FS,16,E,8,DS,72,
	CS,24,E,24,FS,16,DS,32,CS,32,
	O,2,B,128,O,3,
	CS,24,DS,24,E,16,DS,64,
	O,2,B,24,O,3,GS,24,DS,16,E,64,
	R,32,CS,32,E,16,DS,16,E,16,FS,16,
	E,64,DS,48,O,2,B,16,O,3,
	E,16,DS,16,E,16,FS,8,E,72,
	B,32,FS,16,E,8,DS,72,
	CS,24,E,24,FS,16,DS,32,CS,32,
	O,2,B,128,O,3,
	CS,24,DS,24,E,16,DS,64,
	O,2,B,24,O,3,CS,24,DS,16,FS,16,E,16,E,16,DS,16,
	E,64,FS,64,
	E,64,E,32,DS,32,
	CS,48,CS,16,GS,32,CS,16,E,8,
	DS,104,O,2,B,16,B,16,O,3,
	CS,48,CS,16,DS,32,CS,16,DS,16,
	O,2,B,96,O,3,E,16,DS,16,
	CS,64,GS,32,CS,16,E,8,
	DS,120,O,2,B,16,O,3,
	CS,48,CS,16,DS,24,CS,24,DS,16,
	GS,24,GS,24,GS,16,GS,24,GS,24,A,16,
	FS,128,
	FS,48,E,16,FS,16,E,16,FS,16,
	B,144,
	GS,24,GS,24,GS,16,GS,24,FS,24,E,16,
	B,48,FS,16,FS,32,E,16,DS,8,
	E,120,E,8,E,8,
	B,24,A,24,GS,16,GS,32,FS,32,
	E,64,CS,24,DS,24,E,16,
	O,2,B,64,O,3,CS,24,DS,24,E,16,
	A,32,B,32,GS,24,FS,24,E,16,
	DS,48,E,80,
	GS,24,GS,24,GS,16,GS,24,FS,24,E,16,
	B,48,FS,16,FS,32,E,16,DS,8,
	E,120,E,8,E,8,
	B,24,A,24,GS,16,GS,32,FS,32,
	E,64,CS,24,DS,24,E,16,
	O,2,B,64,O,3,CS,24,DS,24,E,16,
	E,64,FS,48,E,16,
	E,128,
	R,0,LP,0,
	/* music #2-2ch */
	XX,1,
	SP,1,
	R,16,	/* wait */
	EV,0x57U,
	O,3,
	E,16,GS,16,B,16,O,4,E,80,O,3,
	B,16,O,4,DS,16,FS,16,GS,80,O,3,
	O,2,A,16,O,3,E,16,G,16,B,16,O,2,B,16,O,3,DS,16,FS,16,A,16,
	E,16,GS,16,B,16,O,4,E,16,FS,64,O,3,
	A,16,CS,16,E,16,A,16,B,16,DS,16,FS,16,B,16,
	GS,16,B,16,DS,16,FS,16,CS,16,E,16,GS,16,B,16,
	FS,80,O,4,DS,16,O,3,A,16,FS,16,
	A,16,O,4,CS,16,O,3,E,16,A,16,FS,16,B,16,DS,16,FS,16,
	E,16,GS,16,B,16,O,4,E,80,O,3,
	B,16,O,4,DS,16,FS,16,GS,80,O,3,
	O,2,A,16,O,3,E,16,G,16,B,16,O,2,B,16,O,3,DS,16,FS,16,A,16,
	E,16,GS,16,B,16,O,4,E,16,FS,64,O,3,
	A,16,CS,16,E,16,A,16,B,16,DS,16,FS,16,B,16,
	O,2,GS,16,O,3,FS,16,B,16,FS,16,CS,16,E,16,GS,16,B,16,
	O,2,A,16,O,3,CS,16,E,16,FS,16,C,16,E,16,FS,16,A,16,
	E,4,FS,4,GS,4,B,4,B,112,
	CS,16,E,16,GS,16,E,16,CS,16,E,16,GS,16,E,16,
	O,2,GS,16,O,3,DS,16,GS,16,DS,16,O,2,GS,16,O,3,DS,16,GS,16,DS,16,
	O,2,A,16,O,3,E,16,A,16,E,16,O,2,B,16,O,3,DS,16,FS,16,DS,16,
	E,16,FS,16,GS,16,FS,16,E,16,DS,16,O,2,B,16,GS,16,O,3,
	CS,16,E,16,GS,16,E,16,CS,16,E,16,GS,16,E,16,
	O,2,GS,16,B,16,O,3,DS,16,O,2,B,16,O,3,FS,16,DS,16,B,16,DS,16,
	O,2,FS,16,A,16,O,3,CS,16,E,16,O,2,GS,16,B,16,O,3,DS,16,FS,16,
	O,2,A,16,O,3,CS,16,E,16,GS,16,O,2,AS,16,O,3,CS,16,E,16,GS,16,
	O,2,B,16,O,3,DS,16,FS,16,DS,16,O,2,B,16,O,3,DS,16,FS,16,DS,16,
	O,2,B,16,O,3,DS,16,FS,16,B,16,O,4,CS,16,O,3,B,16,O,4,CS,16,DS,16,O,3,
	O,2,B,8,O,3,FS,8,A,8,B,8,DS,8,FS,8,A,8,B,8,O,2,B,8,O,3,E,8,FS,8,B,8,O,4,DS,8,FS,8,A,8,B,8,
	O,2,A,16,O,3,E,16,FS,16,E,16,B,16,E,16,FS,16,E,16,
	O,2,GS,16,O,3,DS,16,FS,16,DS,16,B,16,DS,16,FS,16,DS,16,
	O,2,FS,16,A,16,O,3,CS,16,E,16,O,2,B,16,O,3,DS,16,FS,16,B,16,
	E,16,GS,16,B,16,GS,16,E,16,GS,16,B,16,GS,16,
	O,2,A,16,O,3,E,16,FS,16,E,16,O,2,A,16,O,3,E,16,A,16,E,16,
	O,2,GS,16,O,3,DS,16,FS,16,DS,16,CS,16,E,16,GS,16,E,16,
	O,2,A,16,O,3,CS,16,E,16,GS,16,O,2,B,16,O,3,DS,16,FS,16,B,16,
	CS,16,E,16,GS,16,B,16,O,4,CS,64,
	O,2,A,16,O,3,E,16,FS,16,E,16,B,16,E,16,FS,16,E,16,
	O,2,GS,16,O,3,DS,16,FS,16,DS,16,B,16,DS,16,FS,16,DS,16,
	O,2,FS,16,A,16,O,3,CS,16,E,16,O,2,B,16,O,3,DS,16,FS,16,B,16,
	E,16,GS,16,B,16,GS,16,E,16,GS,16,B,16,GS,16,
	O,2,A,16,O,3,E,16,FS,16,E,16,O,2,A,16,O,3,E,16,A,16,E,16,
	O,2,B,16,O,3,DS,16,FS,16,DS,16,CS,16,E,16,GS,16,E,16,
	O,2,A,16,O,3,CS,16,E,16,GS,16,O,2,B,16,O,3,DS,16,FS,16,B,16,
	E,4,FS,4,GS,4,B,4,B,112,
	R,0,LP,0,
	/* music #2-3ch */
	/* music #2-noize */

	ZZ,0,
};
//---------------------------------------------------------------------------
const u8* songlist[] = {
	(u8*)&song0,
	(u8*)&song1,
};


